#library("devtools")
library("tidyverse")


amountdata<-read.csv("/home/scb/dia/Amounts.tsv",header=TRUE,sep='\t');
amountdata <- amountdata[amountdata$Label == "Fast Insuli" | amountdata$Label == "Long Insuli", ]

insulindata<-data.frame(amountdata$nr,as.POSIXct(amountdata$UnixTime, origin="1970-01-01"),amountdata$Value,amountdata$Label)
colnames(insulindata)[2]<-"time"
colnames(insulindata)[3]<-"dose"

#Total Daily Dose für jeden, einzelen Tag
doses_per_day <- insulindata %>% 
  group_by(day = lubridate::floor_date(time, 'day')) %>% 
  summarise(sum(dose)) 

# Count how many shots a day.
injections_per_day <- insulindata %>% 
  group_by(day = lubridate::floor_date(time, 'day')) %>% 
  summarise(inject_nr = n()) 

colnames(doses_per_day)[2]<-"TDD"
doses_per_day$nr_inject <- injections_per_day$inject_nr

#doses_per_day <- dplyr::filter(doses_per_day,day>="2024-01-12"&day<="2024-01-26")
end_date <- as.Date("2024-02-08")
start_date <- end_date - 14
doses_per_day <- dplyr::filter(doses_per_day,day>=start_date&day<=end_date)
# Durchschnittliche Insulindosis pro Tag
mean(doses_per_day$TDD)

# Durchschnittiche Anzahl der Injektionen
median(injections_per_day$inject_nr)
mean(injections_per_day$inject_nr)
#write.csv(doses_per_day, "insulin_TDD.csv", traitsAsDir = FALSE, csv2 = TRUE, row.names = FALSE)
